#include <bits/stdc++.h>
using namespace std;

int main(){
    int t; cin >> t;
    string r[t];
    for (int i=0; i<t; i++){
        int n; cin >> n;
        int a[n], b[n];
        int neg=0;
        int negb=0;
        for (int j=0; j<n; j++){
            cin >> a[j];
            if(a[j]<=0) neg++;}
        for (int j=0; j<n; j++){
            cin >> b[j];
            if(b[j]<=0) negb++;}
            if (n==2 && a[0]==b[0]*(-1) && a[1]==b[1]*(-1))
                r[t]== "NE";
            else if(neg%2==negb%2)
                r[t]="DA";
            else r[t]= "NE";

    }
    for (int i=0; i<t; i++)
    cout << r[t] <<endl;
return 0;}